Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002950Piwigopluginspublic2013.08.14 23:112013.10.10 13:10
Reportermistic100 
Assigned Tomistic100 
PrioritynormalSeverityfeatureReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version2.6.0beta2Fixed in Version2.6.0beta2 
Summary0002950: Add function for plugin config update
DescriptionMonths ago I proposed a simple plugin architecture, now used in all my plugins, the "reference" Skeleton and some other.

All these plugins have a certain amount of code in common, witch could be added in the core as a function.
TagsNo tags attached.
browserany
Database engine and version
PHP version
Web serverApache 1.3.x
Attached Files

- Relationships
child of 0002998closedmistic100 Maintenance class for plugin 

-  Notes
(0007107)
svn (reporter)
2013.08.14 23:30

[Subversion] r24160 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
feature:2950 add function request_plugin_update()
(0007108)
rvelices (developer)
2013.08.15 09:26

can be put rather in admin/include/function_plugins.inc.php ?
(0007109)
mistic100 (developer)
2013.08.15 09:35
edited on: 2013.08.15 09:35

it's not mean to be a admin function, it must be accessible by all plugins inside the "init" event, don't need to include a whole file just for that


- Issue History
Date Modified Username Field Change
2013.08.14 23:11 mistic100 New Issue
2013.08.14 23:11 mistic100 Status new => assigned
2013.08.14 23:11 mistic100 Assigned To => mistic100
2013.08.14 23:11 mistic100 browser => any
2013.08.14 23:11 mistic100 Web server => Apache 1.3.x
2013.08.14 23:30 svn Checkin
2013.08.14 23:30 svn Note Added: 0007107
2013.08.15 09:26 rvelices Note Added: 0007108
2013.08.15 09:35 mistic100 Note Added: 0007109
2013.08.15 09:35 mistic100 Note Edited: 0007109
2013.10.10 13:10 mistic100 Status assigned => closed
2013.10.10 13:10 mistic100 Resolution open => fixed
2013.10.10 13:10 mistic100 Fixed in Version => 2.6.0beta2
2013.11.09 00:27 mistic100 Relationship added child of 0002998


Copyright © 2000 - 2019 MantisBT Team
Contact
Powered by Mantis Bugtracker